# Class GMHowToCreateController

java.lang.Object
GMHowToCreateController

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class GMHowToCreateController extends Object implements ActionListener
La classe GMHowToCreateController est un contrôleur qui gère l'affichage de la fenêtre de création de grille. Elle implémente l'interface ActionListener pour réagir aux événements de clic sur un bouton.

## Constructor Summary

Constructors
Constructor
Description
`GMHowToCreateController()`
Constructeur pour créer une instance de GMHowToCreateController.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Méthode invoquée lorsqu'un événement d'action est déclenché, comme un clic sur un bouton.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GMHowToCreateController

public GMHowToCreateController()
Constructeur pour créer une instance de GMHowToCreateController. Initialise le gestionnaire de dialogue pour la création de grille.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Méthode invoquée lorsqu'un événement d'action est déclenché, comme un clic sur un bouton. Affiche la fenêtre de dialogue pour expliquer comment créer une grille.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - L'événement d'action